Update a vendor

Update details about an existing vendor.

Requirements for enabling vendor payments

Vendor address details are required for paying a vendor by check or for inviting the vendor to join the BILL network.

  • line1
  • city
  • zipOrPostalCode
  • country
  • payeeName

Note: You cannot add or update vendor bank account information with this endpoint. You can add and manage vendor bank account information with a dedicated set of endpoints.

  • Create a vendor bank account: POST /v3/vendors/{vendorId}/bank-account
  • Get vendor bank account details: GET /v3/vendors/{vendorId}/bank-account
  • Delete a vendor bank account: DELETE /v3/vendors/{vendorId}/bank-account
Path Params
string
required
length ≥ 1

BILL-generated ID of the vendor. The value begins with 009.

Body Params
string
length ≤ 100

Vendor name

string
length ≤ 40

Vendor short name

string

User account number set by the vendor. Set this field as the billing statement account number for vendor services such as utility or credit card bills.

When you pay the vendor, this value appears on the check memo or electronic payment record.

string
enum

Vendor account type

Allowed:
string

Vendor email address

string

Vendor phone number

address
object

Vendor address information

paymentInformation
object

Vendor payment information

additionalInfo
object

Vendor additional information

string
enum

Bill currency. Three-letter abbreviation in the ISO 4217 format.

The billCurrency value is the currency in the bills you create for the vendor. The value is also the currency in the invoices you receive from the vendor.

Note: You can update this field only if the vendor has no bills or payments.

See Country information for international payments in the BILL Help Center for more information.

autoPay
object

Vendor auto-pay information.

When you enable vendor auto-pay, BILL automatically pays the vendor when a bill is created for the vendor.

Note: Enabling vendor autoPay requires an MFA-trusted API session. See MFA setup for information about the BILL MFA process.

Headers
string | null

API session ID generated with /v3/login

string | null

Developer key generated with your BILL developer account

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json